<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Service\ArticleService;

class ArticleController extends Controller
{
    /*
     *  根据链接获取文章内容接口
     * */
    public function getHtmlByLink(Request $request)
    {
        $validator = \Validator::make($request->all(), [
            'link' => 'required|string',
        ]);

        if ($validator->fails()) {
            return self::returnValue($validator->getMessageBag(), 1102);
        }

        $link = $request->input('link');

        $data = [];
        $errNo = ArticleService::getDetailByLink($link, $data);

        return self::returnValue($data, $errNo);
    }
}