<?php

namespace App\Http\Controllers;

use App\Error;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public static function returnValue($data = [], $errorNo = 0, $errorSuffix = '') {
        return [
            "rst" => $data,
            "errno" => $errorNo . '',
            "err" => Error::getError($errorNo) . $errorSuffix,
            "timestamp" => intval(microtime(true)) . '',
            // 客户端代码版本号，用于客户端自动加载新提交的代码
            'v' => (string) get_client_code_version(),
            "auno" => '0'
        ];
    }
}
