<?php

if (!function_exists('get_client_code_version')) {
    /**
     * 读取客户端代码版本号，用于客户端自动加载新提交的代码
     * @return string
     */
    function get_client_code_version()
    {
        // 前端版本号文件路径
        $versionFile = public_path('version.md');

        // 文件存在，且有读权限
        if (file_exists($versionFile) && is_readable($versionFile)) {
            $version = @file_get_contents($versionFile);
            if ($version) {
                return trim($version);
            }
        }

        return false;
    }
}